Run of lintian-fixes for python-cartopy

Try this locally (using the lintian-brush package):

debcheckout python-cartopy
cd python-cartopy
lintian-brush --compat-release=xenial

Merge these changes:

git pull https://janitor.debian.net/git/python-cartopy lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 658a03a..e059573 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+python-cartopy (0.18.0+dfsg-2) UNRELEASED; urgency=low
+
+  * Set debhelper-compat version in Build-Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 18 Jul 2020 21:55:27 -0000
+
 python-cartopy (0.18.0+dfsg-1) unstable; urgency=medium
 
   * Team upload.
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index 48082f7..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-12
diff --git a/debian/control b/debian/control
index 33fffb0..b6526ae 100644
--- a/debian/control
+++ b/debian/control
@@ -5,7 +5,7 @@ Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                libgeos-dev,
                libproj-dev (>= 4.9.0),

Full worker log Full build log